Bug 138011 - EDITING: row in table doesn't grow while editing
Summary: EDITING: row in table doesn't grow while editing
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-05 12:20 UTC by Xisco Faulí
Modified: 2021-06-22 13:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-11-05 12:20:33 UTC
Steps to reproduce:
1. Open Impress
2. Insert a table
3. Place cursor in A1
4. Press return a few times

-> The row doesn't grow its height

Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: 9c8ed8c8526b9b696d0bf592eb7d963950f3cef4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-11-05 12:21:30 UTC
Regression introduced by:

author	Gülşah Köse <gulsah.kose@collabora.com>	2020-11-02 23:32:06 +0300
committer	Gülşah Köse <gulsah.kose@collabora.com>	2020-11-04 22:48:32 +0100
commit	7dc234fa57ca409d0db131c93abea738014b5e1f (patch)
tree	84f1bcfd7f297dbae19ec9d0a22ae716e0cc053c
parent	b05955b480fe4d32852e7be8a118d46ca7e6dbfa (diff)
tdf#137949 Fix table row heigths.

Bisected with: bibisect-linux64-7.1
Comment 2 Commit Notification 2020-11-05 16:44:41 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/54daa022df46d07171201b3fe236cf3f5726e271

tdf#138011: Revert "tdf#137949 Fix table row heigths."

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-11-05 18:16:49 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ac6df04b5c5a7c227fec3b8897c79be5e99cbe01

tdf#138011: sd: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-11-06 15:37:41 UTC
UItest added, setting to VERIFIED
Comment 5 Gülşah Köse 2020-11-07 00:05:04 UTC
Hi Xisco, I saw a problem about unit test. Actually unit test is true but there is bug in bug. And you tested another buggy state i think.

Unit test:
1- Inserts 5 col 2 row table in slide
2- Inserts something 5 times in A1 cell in first row.
3- Checks total height at the end.

Problematic state is: When we add something to first row, first row is growing normally but second row is growing too (+10 pt). Growing second row is a bug i think.

I've sent a patch (https://gerrit.libreoffice.org/c/core/+/105422)
that fixes tdf#137949 and second row growing problem. And i had to change total height in your ui test.

Can you review it again? Thank you so much!
Comment 6 Commit Notification 2020-11-09 13:06:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6dee385e10c859928e5d6406d002983529eff9f9

tdf#138011: sd: Add UItest

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Roosevelt Price 2021-06-22 08:42:28 UTC Comment hidden (spam)